<?php

use yii\db\Migration;

class m160304_035059_add_setting extends Migration
{
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
        $this->insert('settings', [
            'module_id' => 'support',
            'code' => 'support-status-new',
            'name' => 'Статус на оценке',
            'value' => '7,9',
            'element' => 'text',
            'hidden' => 0,
            'description' => 'Введите ID статусов через запятую',
        ]);

        $this->insert('settings', [
            'module_id' => 'support',
            'code' => 'support-status-work',
            'name' => 'Статус в работе',
            'value' => '1,8,13,15,17,18',
            'element' => 'text',
            'hidden' => 0,
            'description' => 'Введите ID статусов через запятую',
        ]);

        $this->insert('settings', [
            'module_id' => 'support',
            'code' => 'support-status-test',
            'name' => 'Статус на тестирование',
            'value' => '10',
            'element' => 'text',
            'hidden' => 0,
            'description' => 'Введите ID статусов через запятую',
        ]);

        $this->insert('settings', [
            'module_id' => 'support',
            'code' => 'support-status-approve',
            'name' => 'Статус ожидает проверки',
            'value' => '16',
            'element' => 'text',
            'hidden' => 0,
            'description' => 'Введите ID статусов через запятую',
        ]);

        $this->insert('settings', [
            'module_id' => 'support',
            'code' => 'support-status-accepted',
            'name' => 'Статус принято',
            'value' => '14',
            'element' => 'text',
            'hidden' => 0,
            'description' => 'Введите ID статусов через запятую',
        ]);
    }

    public function safeDown()
    {
        $this->delete('settings', ['code' => 'support-status-new']);
        $this->delete('settings', ['code' => 'support-status-work']);
        $this->delete('settings', ['code' => 'support-status-test']);
        $this->delete('settings', ['code' => 'support-status-approve']);
        $this->delete('settings', ['code' => 'support-status-accepted']);
    }
}
